#ifndef BONUS_H
#define BONUS_H

/**
 * \file Bonus.h
 * \brief Déclaration de la class Bonus
 * \author Théo CHASSAIGNE
 * \author Quentin HARSCOËT
 */
 
#include "MovableElement.h"
#include "TypeBonus.h"

/**
 * \class Bonus Bonus.h
 * \brief Classe représentant les bonii à ramasser 
 * \author Théo CHASSAIGNE
 * \author Quentin HARSCOËT
 */
 
class Bonus : public MovableElement
{
	private:
		TypeBonus* my_type; /**< Catégorie du bonus */

	public:
		/**
		 * \brief Constructeur paramétré
		 *
		 * \param x : Abscisse du bonus
		 * \param y : Ordonnée du bonus
		 * \param type : Type du bonus
		 */
		Bonus(int x, int y, TypeBonus* type);
		
		/**
		 * \brief Accesseur
		 *
		 * Accesseur de my_type
		 *
		 * \return : Le type du Bonus
		 */
		TypeBonus* getType() const;

};

#endif
