#include "Boss.h"
#include "constantes.h"

Boss::Boss(TypeBoss* type)
:Ennemi(type)
{
	my_type = type;
	my_changePatternDelay = type->getChangePatternDelay();
	my_actualShootPattern = type->getShootPattern();
}

ShootPattern Boss::getShootPattern() const
{return my_actualShootPattern;	}

void Boss::changePattern()
{
	if(my_changePatternClock.GetElapsedTime() > my_changePatternDelay)
	{
		switch(my_actualShootPattern)
		{
			case SIMPLE :
				my_actualShootPattern = M_TRIPLE;
				my_shootingSpeed = 0.6f;
				break;
			case M_TRIPLE :
				my_actualShootPattern = TOPLAYER;
				my_shootingSpeed = 0.3f;
				break;
			case TOPLAYER : 
				my_actualShootPattern = HALFCIRCLE;
				my_shootingSpeed = 0.5f;
				break;
			case HALFCIRCLE :
				my_actualShootPattern = SIMPLE;
				my_shootingSpeed = 0.2f;
				break;
		}

		my_changePatternClock.Reset();
	}
}

void Boss::move()
{
	if(my_y < 150)
		moveDown();
	else if((my_dx < 0 && my_x <0 ) || (my_dx > 0 && my_x + my_w > MODEL_WIDTH))
		my_dx *= -1;
	else
		my_x += my_dx;

}
