#include "GraphicElement.h"
#include <iostream>


using namespace std;
using namespace sf;

GraphicElement::GraphicElement():  Sprite(), _w(0), _h(0)
{}

GraphicElement::GraphicElement(Image * image, int x, int y, int w, int h)
  :  Sprite(*image), _w(w), _h(h)
{
  Resize(w, h);
  SetPosition(x,y);
  _visible = true;
}

GraphicElement::~GraphicElement()
{}

void GraphicElement::setPosition(int x, int y){
  SetPosition(x, y);
}

void GraphicElement::setPosition(const Vector2f & pos){
  SetPosition(pos.x, pos.y);
}

void GraphicElement::resize(int w, int h){
  _w = w;
  _h = h;
  Resize(_w, _h);
}

bool GraphicElement::getVisible() const
{return _visible;	}
void GraphicElement::setVisible(bool visible)
{_visible = visible;	}

void GraphicElement::draw(RenderWindow * window){
  window->Draw(*this);
}



