#include "Interface.h"
#include "constantes.h"
#include <fstream>
#include <iostream>

using namespace std;
using namespace sf;

Interface::Interface()
{
  	my_HUDsfStrings[VIES].SetFont(my_font.GetDefaultFont());
  	my_HUDsfStrings[VIES].SetPosition(0,0);
   	my_HUDsfStrings[VIES].SetColor(sf::Color::Black);

 	  my_HUDsfStrings[PV].SetFont(my_font.GetDefaultFont());
 	  my_HUDsfStrings[PV].SetPosition(0,30);
 	  my_HUDsfStrings[PV].SetColor(sf::Color::Black);

 	  my_HUDsfStrings[NIVEAU].SetFont(my_font.GetDefaultFont());
 	  my_HUDsfStrings[NIVEAU].SetPosition(VIEW_WIDTH - 150 ,0);
  	my_HUDsfStrings[NIVEAU].SetColor(sf::Color::Black);

  	my_HUDsfStrings[BOMBES].SetFont(my_font.GetDefaultFont());
  	my_HUDsfStrings[BOMBES].SetPosition(0, 60);
  	my_HUDsfStrings[BOMBES].SetColor(sf::Color::Black);

  	my_HUDsfStrings[PUISSANCE].SetFont(my_font.GetDefaultFont());
  	my_HUDsfStrings[PUISSANCE].SetPosition(VIEW_WIDTH - 250, 60);
  	my_HUDsfStrings[PUISSANCE].SetColor(sf::Color::Black);

  	my_HUDsfStrings[5].SetFont(my_font.GetDefaultFont());
  	my_HUDsfStrings[5].SetPosition(VIEW_WIDTH/2 - my_HUDsfStrings[5].GetRect().GetWidth()/2,0);
  	my_HUDsfStrings[5].SetColor(sf::Color::Black);

  	my_revive_image = new sf::Image();
  	if(!my_revive_image->LoadFromFile("images/revive.png"))
  		my_revive_sprite_template = GraphicElement();
  	else
  	{
	  	my_revive_sprite_template = GraphicElement(my_revive_image,0,0,my_revive_image->GetWidth(), my_revive_image->GetHeight());
	    my_revive_sprite_template.SetScale(0.1,0.1);
    }
  }

Interface::~Interface()
{
	delete my_revive_image;
}

void Interface::drawHUD(sf::RenderWindow * _window)
{
	for(int i = 0; i < 6; i++)
		_window->Draw(my_HUDsfStrings[i]);

	for(int i = 0; i < my_nbVies; i++)
  	{
   	 my_revive_sprite_template.SetPosition(90 + 30*i, 10);
   	 my_revive_sprite_template.draw(_window);
  	}

	_window->Draw(my_rectPVFond);
  _window->Draw(my_rectPV);
  _window->Draw(my_rectBossPV);
}


void Interface::update(GameModel* model, string strings[])
{
	my_HUDsfStrings[5].SetText(model->getStringScore());
	my_HUDsfStrings[5].SetPosition(VIEW_WIDTH/2 - my_HUDsfStrings[5].GetRect().GetWidth()/2,0);

	my_HUDsfStrings[VIES].SetText(strings[VIES] + " : ");
	my_HUDsfStrings[PV].SetText(strings[PV] + " : " );
	my_HUDsfStrings[NIVEAU].SetText(strings[NIVEAU] + " : " + model->getStringLevelID());

	my_HUDsfStrings[BOMBES].SetText(strings[BOMBES] + " : " + model->getPlayerShip()->getStringBombs());

	my_HUDsfStrings[PUISSANCE].SetText(strings[PUISSANCE] + " : " + model->getPlayerShip()->getStringPower());
	my_HUDsfStrings[PUISSANCE].SetPosition(VIEW_WIDTH - my_HUDsfStrings[PUISSANCE].GetRect().GetWidth(), 60);

	my_nbVies = model->getPlayerShip()->getVies();

	my_rectPVFond = sf::Shape::Rectangle(70,48,70 + model->getPlayerShip()->getMaxHP()/2, 58, Color(188,188,188), 3, Color(125,125,125));
	
	my_rectPV = sf::Shape::Rectangle(70, 48, 70+ model->getPlayerShip()->getHP()/2, 58, sf::Color::White);
  	my_rectPV.SetColor(sf::Color::Green);
  	if(model->getPlayerShip()->getHP() <= 50 * (model->getPlayerShip()->getMaxHP()/100))
    	my_rectPV.SetColor(sf::Color::Yellow);
 	if(model->getPlayerShip()->getHP() <= 20 * (model->getPlayerShip()->getMaxHP()/100))
    	my_rectPV.SetColor(sf::Color::Red);

  my_rectBossPV = sf::Shape();

}


void Interface::updateBossPV(Boss* boss)
{
  if(boss->getHP() > 0)
    my_rectBossPV = sf::Shape::Rectangle( 20, MODEL_HEIGHT - 60, ((MODEL_WIDTH - 20)/100)* (boss->getHP() * 100/boss->getMaxHP()), MODEL_HEIGHT - 40, sf::Color::White);
  else
    my_rectBossPV = sf::Shape();


  my_rectBossPV.SetColor(sf::Color::Green);
  if(boss->getHP() <= 50 * boss->getMaxHP()/100)
    my_rectBossPV.SetColor(sf::Color::Yellow);
  if(boss->getHP() <= 30 * boss->getMaxHP()/100)
    my_rectBossPV.SetColor(sf::Color::Red);
}