#include "Niveau.h"
#include "GameModel.h"
#include <iostream>

using namespace std;

Niveau::Niveau()
:idNiveau(0)
{}

void Niveau::initNiveau(GameModel* model)
{
	ennemis.clear();
	float t;
	for(int i = 0; i < 20 * (idNiveau+1) * model->getDifficulty() ; i++) // nombre d'ennemis à placer dans la map.
	{
		t = rand() % (15*idNiveau + 30); // temps que dure un niveau : niveau 1 = 30, niveau 2 = 45, niveau 3 = 60 etc...

		int e = rand() % 3 ; //int qui détermine le type de l'enemi (entre 0 et 2)

		ennemis.insert(pair<float, TypeEnnemi*>(t, model->getEnnemyTypes()[e]));
	}

	ennemis.insert(pair<float, TypeEnnemi*>(15*idNiveau + 30, model->getBossType())); //Ajout du boss en fin de niveau
	idNiveau++;
}

const multimap<float, TypeEnnemi*>* Niveau::getMap() const
{return & ennemis;	}

int Niveau::getID() const
{return idNiveau;	}