/**
 * \file constantes.h
 * \brief Déclaration des constantes utilisées
 * \author Théo CHASSAIGNE
 * \author Quentin HARSCOËT
 */

#define MODEL_WIDTH 768 /**< Largeur du Modèle */
#define MODEL_HEIGHT 768 /**< Hauteur du Modèle */

#define VIEW_WIDTH 768 /**< Largeur de la Vue */
#define VIEW_HEIGHT 768 /**< Hauteut de la Vue */

#define SHEEP_WIDTH 200 /**< Largeur du Joueur */
#define SHEEP_HEIGHT 309 /**< Hauteur du Joueur */
#define SHEEP_SCALE 0.2 /**< Echelle du Joueur */

#define ENEMY_SCALE 0.3 /**< Echelle des Ennemi */

#define SHEEP_SPEED 10 /**< Vitesse du Joueur */
#define MOVABLE_ELEMENT_SPEED 10 /**< Vitesse par défaut des MovableElement */

#define NB_ENNEMY_TYPES 3 /**< Nombre de TypeEnnemi */
#define NB_TIRS_TYPES 7 /**< Nombre de TypeTir */
#define NB_BONUS_TYPES 5 /**< Nombre de TypeBonus */

//Pour se repérer dans le tableau de strings
#define NB_STRINGS 26 /**< Nombre d'entrées du tableau contenant les textes du jeu */

#define VIES 0 /**< Index de la chaîne "Vies" */
#define PV 1 /**< Index de la chaîne "PV" */
#define NIVEAU 2 /**< Index de la chaîne "Niveau" */
#define BOMBES 3 /**< Index de la chaîne "Bombes" */
#define PUISSANCE 4 /**< Index de la chaîne "Puissance" */
#define JOUER 5 /**< Index de la chaîne "Jouer" */
#define HIGHSCORES 6 /**< Index de la chaîne "Meilleurs scores" */
#define SETTINGS 7 /**< Index de la chaîne "Paramètres" */
#define QUIT 8 /**< Index de la chaîne "Quitter" */
#define PAUSE 9 /**< Index de la chaîne "Pause" */
#define RESUME 10 /**< Index de la chaîne "Continuer" */
#define BACKTOMENU 11 /**< Index de la chaîne "Retourner au Menu" */
#define NOSCORE 12 /**< Index de la chaîne "Pas de score" */
#define ENTERNAME 13 /**< Index de la chaîne "Entrez votre nom" */
#define FINISHLEVEL 14 /**< Index de la chaîne "Vous avez fini un niveau !" */
#define GAMEOVER 15 /**< Index de la chaîne "Partie Terminée !" */
#define DEAD 16 /**< Index de la chaîne "Vous avez perdu une vie ! " */
#define SOUNDLEVEL 17 /**< Index de la chaîne "Volume sonore" */
#define DIFFICULTY 18 /**< Index de la chaîne "Difficulté" */
#define LIVESNUMBER 19 /**< Index de la chaîne "Nombre de vies" */
#define LANGUAGE 20 /**< Index de la chaîne "Langue" */
#define NORMAL 21 /**< Index de la chaîne "Normal" */
#define HARD 22 /**< Index de la chaîne "Difficile" */
#define VERYHARD 23 /**< Index de la chaîne "Très difficile" */
#define MYLANGUE 24 /**< Index de la chaîne indiquant la langue */
#define SOUNDPACK 25 /**< Index de la chaîne "Pack de son" */
